ListVFSFileTransferable (jEdit API Documentation)

Package org.gjt.sp.jedit.datatransfer

## Class ListVFSFileTransferable

- java.lang.Object
- - org.gjt.sp.jedit.datatransfer.ListVFSFileTransferable

- All Implemented Interfaces:
    `java.awt.datatransfer.Transferable`

      public class ListVFSFileTransferable
      extends java.lang.Object
      implements java.awt.datatransfer.Transferable

  Since:
    jEdit 4.4.x

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.awt.datatransfer.DataFlavor` | `jEditFileList` |
    `static java.awt.datatransfer.DataFlavor[]` | `supported` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListVFSFileTransferable​(VFSFile[] files)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getTransferData​(java.awt.datatransfer.DataFlavor flavor)` |
    `java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()` |
    `boolean` | `isDataFlavorSupported​(java.awt.datatransfer.DataFlavor flavor)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jEditFileList

          public static final java.awt.datatransfer.DataFlavor jEditFileList

    - #### supported

          public static final java.awt.datatransfer.DataFlavor[] supported

  - ### Constructor Detail

    - #### ListVFSFileTransferable

          public ListVFSFileTransferable​(VFSFile[] files)

  - ### Method Detail

    - #### getTransferDataFlavors

          public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

      Specified by:
        `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

    - #### isDataFlavorSupported

          public boolean isDataFlavorSupported​(java.awt.datatransfer.DataFlavor flavor)

      Specified by:
        `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

    - #### getTransferData

          public java.lang.Object getTransferData​(java.awt.datatransfer.DataFlavor flavor)
                                           throws java.awt.datatransfer.UnsupportedFlavorException,
                                                  java.io.IOException

      Specified by:
        `getTransferData` in interface `java.awt.datatransfer.Transferable`
      Throws:
        `java.awt.datatransfer.UnsupportedFlavorException`
        `java.io.IOException`